### Method

# Gtk FilterListModelget_pending

#### Declaration [src]

    guint
    gtk_filter_list_model_get_pending (
      GtkFilterListModel* self
    )

#### Description [src]

Returns the number of items that have not been filtered yet.

You can use this value to check if `self` is busy filtering by comparing the return value to 0 or you can compute the percentage of the filter remaining by dividing the return value by the total number of items in the underlying model:

    pending = gtk_filter_list_model_get_pending (self);
    model = gtk_filter_list_model_get_model (self);
    percentage = pending / (double) g_list_model_get_n_items (model);

If no filter operation is ongoing - in particular when `GtkFilterListModel:incremental` is `FALSE` - this function returns 0.

Gets property | `Gtk.FilterListModel:pending`

#### Return value

Type: `guint`

The number of items not yet filtered.